<?php
  /**
   * Main
   *
   * @package Digital Downloads Pro
   * @author wojoscripts.com
   * @copyright 2010
   * @version $Id: main.php, v2.00 2011-07-10 10:12:05 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('.دسترسی مستقیم به این محل مجاز نمی باشد');
	  
  $mostsold = $item->mostSold();
  $mostpop = $item->mostPopular();
?>
<h1>.. خـوش آمـدیــد Digital Downloads Pro بـه &nbsp; </h1>
<p class="info">. در اینجا شما می توانید آمار محصولات خود را مشاهده نمائید</p>
<?php if($mostpop):?>
<div id="mostpop"></div>
<script type="text/javascript">
  $(document).ready(function(){
    var s1 = [<?php
		$res = '';
		foreach($mostpop as $hpop) {
			if(strlen($res) > 0) {
				$res .= ",";
			}
			$res .= $hpop['hits'];
		}
		echo $res;
		?>];
    var ticks = [
	<?php
		$res2 = '';
		foreach($mostpop as $pop) {
			if(strlen($res2) > 0) {
				$res2 .= "','";
			}
			$res2 .= sanitize($pop['title'],30);
		}
		?>
		'<?php print $res2;?>'
	];<?php unset($res, $res2);?>
    plot1 = $.jqplot('mostpop', [s1], {
      seriesDefaults:{
        renderer:$.jqplot.BarRenderer,
        rendererOptions: {fillToZero: false},
		pointLabels: {show: true}
      },
	  //title: 'Product Statistics - Top 5 Visited',
	  title: 'آمـار محصولات -- بالای 5 بازدید',
      series:[
        {label:'بـازد یـدهـا'}
      ],
      legend: {
        show: true,
		location: 'ne'
      },
      axes: {
        xaxis: {
          renderer: $.jqplot.CategoryAxisRenderer,
          ticks: ticks
        },
        yaxis: {
          autoscale: false
        }
      }
    });
  });
</script>
<?php else:?>
<?php $core->msgInfo('<span>!توجه</span>.برای دیدن بازدید، از یک محصول خود دیدن فرمائید',false);?>
<br />
<?php endif;?>
<?php if($mostsold):?>
<br />
<div id="mostsold"></div>
<script type="text/javascript">
  $(document).ready(function(){		
    var s2 = [<?php
		$res = '';
		foreach($mostsold as $srow) {
			if(strlen($res) > 0) {
				$res .= ",";
			}
			$res .= $srow['total'];
		}
		echo $res;
		?>];


    var ticks = [
	<?php
		$res2 = '';
		foreach($mostsold as $trow) {
			if(strlen($res2) > 0) {
				$res2 .= "','";
			}
			$res2 .= sanitize($trow['title'],30);
		}
		?>
		'<?php print $res2;?>'
	];<?php unset($res, $res2);?>
    plot1 = $.jqplot('mostsold', [s2], {
      seriesDefaults:{
        renderer:$.jqplot.BarRenderer,
		rendererOptions: {fillToZero: false},
		pointLabels: {show: true}
      },
	  title: 'آمـار محصولات -- بالای 5 فروش',
      series:[
        {label:'فـروش هـا'}
      ],
      legend: {
        show: true,
		location: 'ne'
      },
      axes: {
        xaxis: {
          renderer: $.jqplot.CategoryAxisRenderer,
          ticks: ticks
        },
        yaxis: {
          autoscale: false
        }
      },
	  seriesColors: ["#EAA228"]
    });
  });
</script>
<?php else:?>
<?php $core->msgInfo('<span>!توجه</span>شمـا هنوز خرید/فروش ندارید',false);?>
<?php endif;?>
<script language="javascript" type="text/javascript" src="../assets/jquery.jqplot.min.js"></script> 
<script language="javascript" type="text/javascript" src="../assets/jqplot.barRenderer.min.js"></script> 
<script language="javascript" type="text/javascript" src="../assets/jqplot.categoryAxisRenderer.min.js"></script> 
<script type="text/javascript" src="../assets/jqplot.pointLabels.min.js"></script> 
<!--[if lt IE 9]><script language="javascript" type="text/javascript" src="../assets/excanvas.min.js"></script><![endif]--> 
